Skip to content
Docs
Roles

Revoke role from user

Revoke role from user

client.zones.users.roles.revoke(stringroleID, RoleRevokeParams { zoneId, userId, scope_id, scope_type } params, RequestOptionsoptions?): void
DELETE/zones/{zoneId}/users/{userId}/roles/{roleId}

Revokes a role from the user. Provide the same (scope_type, scope_id) pair the grant was created with, or omit both to revoke the unscoped grant.

ParametersExpand Collapse
roleID: string
params: RoleRevokeParams { zoneId, userId, scope_id, scope_type }
zoneId: string

Path param: Zone ID

userId: string

Path param: User ID

scope_id?: string

Query param: Scope target of the grant to revoke. Provide together with scope_type.

minLength1
scope_type?: string

Query param: Scope kind of the grant to revoke. Provide together with scope_id.

minLength1

Revoke role from user

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI({
  apiKey: process.env['KEYCARD_API_API_KEY'], // This is the default and can be omitted
});

await client.zones.users.roles.revoke('roleId', { zoneId: 'zoneId', userId: 'userId' });
Returns Examples